Articles of npm

npm WARN package.json: nessun campo repository

Ho installato expressjs con il seguente comando: sudo npm install -g express Ho il seguente avvertimento: npm WARN package.json range-parser@0.0.4 No repository field. npm WARN package.json fresh@0.1.0 No repository field. npm WARN package.json methods@0.0.1 No repository field. npm WARN package.json methods@0.0.1 No readme data. npm WARN package.json cookie-signature@1.0.1 No repository field. npm WARN package.json send@0.1.0 […]

ricezione errore: ‘Errore: Errore SSL: SELF_SIGNED_CERT_IN_CHAIN’ durante l’utilizzo di npm

Sto usando npm v1.0.104 / node 0.6.12 su ubuntu – Sto ricevendo l’errore copiato di seguito mentre tentavo di installare nuovi moduli via npm (ho testato socket.io in precedenza usando http, non https però e mi sto chiedendo se questo potrebbe hanno comportato il problema con certificati npm / non firmati). L’errore si apre quando […]

Come impostare le variabili di ambiente da all’interno di package.json

Come impostare alcune variabili di ambiente all’interno di package.json da utilizzare con i npm start like Ecco cosa ho attualmente nel mio package.json : { … “scripts”: { “help”: “tagove help”, “start”: “tagove start” } … } Qui voglio impostare variabili d’ambiente (come NODE_ENV ) nello script di avvio, pur essendo ancora in grado di […]

Come possiamo o possiamo usare i moduli di nodo via npm con Meteor?

Come possiamo o possiamo usare i moduli di nodo via npm con Meteor ? O è qualcosa che dipenderà dall’API di packaging? O c’è un metodo prescritto che è raccomandato?

NPM vs Bower vs. Browserify vs. Gulp vs. Grunt vs. Webpack

Sto cercando di riassumere le mie conoscenze sui più noti gestori di pacchetti JavaScript, bundler e task runner. Per favore correggimi se sbaglio: npm e bower sono gestori di pacchetti. Scaricano solo le dipendenze e non sanno come build progetti da soli. Quello che sanno è chiamare webpack / gulp / grunt dopo aver recuperato […]

Node.js – SyntaxError: importazione token imprevista

Non capisco cosa c’è che non va. Nodo v5.6.0 NPM v3.10.6 Il mio codice: (function (exports, require, module, __filename, __dirname) { import express from ‘express’; Errore: SyntaxError: Unexpected token import at exports.runInThisContext (vm.js:53:16) at Module._compile (module.js:387:25) at Object.Module._extensions..js (module.js:422:10) at Module.load (module.js:357:32) at Function.Module._load (module.js:314:12) at Function.Module.runMain (module.js:447:10) at startup (node.js:140:18) at node.js:1001:3

Come si può risolvere UNMET PEER DIPENDENCY?

Sono su Windows 10, Node versione 5.6.0 e npm versione 3.6.0. Cercando di installare angular–material e mdi nella mia cartella di lavoro. npm install angular-material mdi mi dà i seguenti messaggi di errore: + – angular@ 1.5.0 + – UNMET PEER DEPENDENCY angular-animate@^1.5.0 + – UNMET PEER DEPENDENCY angular-aria@^1.5.0 + – angular-material@1.0.6 + – UNMET […]

Utilizzando npm dietro proxy aziendale .pac

Ho bisogno di scaricare diversi pacchetti tramite npm, ma la nostra configurazione proxy aziendale è un file .pac (sono su Windows) Ho già provato npm config set proxy http://mydomain\username:password@1.2.3.4:8181/proxy.pac npm config set https-proxy http://mydomain\username:password@1.2.3.4:8181/proxy.pac o npm config set proxy http://1.2.3.4:8181/proxy.pac npm config set https-proxy http://1.2.3.4:8181/proxy.pac ma non funziona … qualche suggerimento? Grazie

Come installo una versione precedente di un pacchetto npm?

Ho usato nvm per scaricare il nodo v0.4.10 e installato npm per funzionare con quella versione di nodo. Sto cercando di installare Express utilizzando npm install express -g e ottengo un errore che express richiede la versione del nodo> = 0.5.0. Beh, questo è strano, dal momento che sto seguendo le istruzioni per un tutorial […]

Come installare npm in una directory specificata?

È ansible specificare una directory di destinazione quando si esegue npm install ?